version: '3.8'

networks:
  devcontainer_ecofreshfood-nets:
    name: devcontainer_ecofreshfood-nets
    external: true

volumes:
  data-ecofreshfood-orderer:
  data-ecofreshfood-eff:
  data-ecofreshfood-efd:
  data-ecofreshfood-eft:

services:
  development:
    container_name: ecofreshfoodconsortium
    build:
      context: .
      dockerfile: Dockerfile
    command: sleep infinity
    stop_grace_period: 5s
    volumes:
      - ../..:/workspaces:cached
    networks:
      - devcontainer_ecofreshfood-nets

  ecofreshfood-orderer:
    container_name: orderer.ecofreshfoods.com
    image: hyperledger/fabric-orderer:$IMAGE_TAG
    command: orderer
    environment:
      - FABRIC_CFG_PATH=/var/hyperledger/config
      - FABRIC_LOGGING_SPEC=ERROR
      - ORDERER_GENERAL_LOCALMSPID=OrdererMSP
    volumes:
      - ${PWD}/config/orderer:/var/hyperledger/config
      - ${PWD}/config/crypto-config/ordererOrganizations/ecofreshfoods.com/orderers/orderer.ecofreshfoods.com/msp:/var/hyperledger/msp
      - ${PWD}/config/crypto-config/ordererOrganizations/ecofreshfoods.com/orderers/orderer.ecofreshfoods.com/tls:/var/hyperledger/tls
      - data-ecofreshfood-orderer:/var/ledger
    ports:
      - 7050:7050
      - 8443:8443
    networks:
      - devcontainer_ecofreshfood-nets

  ecofreshfood-eff:
    container_name: eff
    image: hyperledger/fabric-peer:$IMAGE_TAG
    environment:
      - FABRIC_CFG_PATH=/var/hyperledger/config
      - FABRIC_LOGGING_SPEC=WARNING
      - CORE_PEER_LOCALMSPID=EcofreshfarmerMSP
      - CORE_VM_DOCKER_HOSTCONFIG_NETWORKMODE=devcontainer_ecofreshfood-nets
    command: peer node start
    volumes:
      - ${PWD}/config/eff:/var/hyperledger/config
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshfarmer.com/peers/eff/msp:/var/hyperledger/msp
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshfarmer.com/peers/eff/tls:/var/hyperledger/tls
      - /var/run/:/var/run/
      - data-ecofreshfood-eff:/var/hyperledger/production
    depends_on:
      - ecofreshfood-orderer
    ports:
      - 7051:7051
      - 7052:7052
    networks:
      - devcontainer_ecofreshfood-nets

  ecofreshfood-efd:
    container_name: efd
    image: hyperledger/fabric-peer:$IMAGE_TAG
    environment:
      - FABRIC_CFG_PATH=/var/hyperledger/config
      - FABRIC_LOGGING_SPEC=WARNING
      - CORE_PEER_LOCALMSPID=EcofreshdistributorMSP
      - CORE_VM_DOCKER_HOSTCONFIG_NETWORKMODE=devcontainer_ecofreshfood-nets
    command: peer node start
    volumes:
      - ${PWD}/config/efd:/var/hyperledger/config
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshdistributor.com/peers/efd/msp:/var/hyperledger/msp
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshdistributor.com/peers/efd/tls:/var/hyperledger/tls
      - /var/run/:/var/run/
      - data-ecofreshfood-efd:/var/hyperledger/production
    depends_on:
      - ecofreshfood-orderer
    ports:
      - 7054:7054
      - 8052:7052
    networks:
      - devcontainer_ecofreshfood-nets

  ecofreshfood-eft:
    container_name: eft
    image: hyperledger/fabric-peer:$IMAGE_TAG
    environment:
      - FABRIC_CFG_PATH=/var/hyperledger/config
      - FABRIC_LOGGING_SPEC=WARNING
      - CORE_PEER_LOCALMSPID=EcofreshtransportationMSP
      - CORE_VM_DOCKER_HOSTCONFIG_NETWORKMODE=devcontainer_ecofreshfood-nets
    command: peer node start
    volumes:
      - ${PWD}/config/eft:/var/hyperledger/config
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshtransportation.com/peers/eft/msp:/var/hyperledger/msp
      - ${PWD}/config/crypto-config/peerOrganizations/ecofreshtransportation.com/peers/eft/tls:/var/hyperledger/tls
      - /var/run/:/var/run/
      - data-ecofreshfood-eft:/var/hyperledger/production
    depends_on:
      - ecofreshfood-orderer
    ports:
      - 7053:7053
      - 9052:7052
    networks:
      - devcontainer_ecofreshfood-nets
